
package com.soap.bean;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.soap.bean package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetCustomerDetail_QNAME = new QName("http://www.soap.poc.edu/CustomerSOAP/", "getCustomerDetail");
    private final static QName _Header_QNAME = new QName("http://www.soap.poc.edu/CustomerSOAP/", "header");
    private final static QName _GetCustomerDetailResponse_QNAME = new QName("http://www.soap.poc.edu/CustomerSOAP/", "getCustomerDetailResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.soap.bean
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Header }
     * 
     */
    public Header createHeader() {
        return new Header();
    }

    /**
     * Create an instance of {@link CustomerDetailType }
     * 
     */
    public CustomerDetailType createCustomerDetailType() {
        return new CustomerDetailType();
    }

    /**
     * Create an instance of {@link GetCustomerDetailType }
     * 
     */
    public GetCustomerDetailType createGetCustomerDetailType() {
        return new GetCustomerDetailType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCustomerDetailType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.soap.poc.edu/CustomerSOAP/", name = "getCustomerDetail")
    public JAXBElement<GetCustomerDetailType> createGetCustomerDetail(GetCustomerDetailType value) {
        return new JAXBElement<GetCustomerDetailType>(_GetCustomerDetail_QNAME, GetCustomerDetailType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Header }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.soap.poc.edu/CustomerSOAP/", name = "header")
    public JAXBElement<Header> createHeader(Header value) {
        return new JAXBElement<Header>(_Header_QNAME, Header.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CustomerDetailType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.soap.poc.edu/CustomerSOAP/", name = "getCustomerDetailResponse")
    public JAXBElement<CustomerDetailType> createGetCustomerDetailResponse(CustomerDetailType value) {
        return new JAXBElement<CustomerDetailType>(_GetCustomerDetailResponse_QNAME, CustomerDetailType.class, null, value);
    }

}
