package com.app.resource;

import javax.inject.Inject;
import javax.servlet.ServletContext;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.HeaderParam;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.Context;

import com.app.service.CustomerService;
import com.soap.bean.CustomerDetailType;


@Path("/customers")
@Produces("application/xml")
@Consumes("application/xml")
public class Customers {

  @Inject
  private CustomerService service;
  
  @Context
  ServletContext context;
  
  @GET
  @Path("/{customerId}")
  public CustomerDetailType getCustomer(@PathParam("customerId") String custId, @QueryParam("type")String type, @HeaderParam("_mockURL") String mockUrl ) {
    
    CustomerDetailType customer = service.getCustomerDetails(custId, type, mockUrl);
    return customer;
  }
}
